package ZipTeamOrange.config;

import ZipTeamOrange.model.Role;
import ZipTeamOrange.model.RoleName;
import ZipTeamOrange.repository.RoleRepository;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.ApplicationArguments;
import org.springframework.boot.ApplicationRunner;
import org.springframework.stereotype.Component;

@Component
public class RoleLoader implements ApplicationRunner {

    private RoleRepository role;

    @Autowired
    public RoleLoader(RoleRepository role){
        this.role = role;

    }
    public void run(ApplicationArguments args) {
        Role foo = new Role(RoleName.ROLE_USER);
        this.role.save(foo);

        foo = new Role(RoleName.ROLE_ADMIN);
        this.role.save(foo);

    }
}
